SublimeLinter 3 plugin for PHP, using php -l.
Python
Clone or download
Latest commit 0887237 Apr 20, 2018

README.md

SublimeLinter-php

Build Status

This linter plugin for SublimeLinter provides an interface to php -l. It will be used with files that have the "PHP", "HTML", or "HTML 5" syntax.

Installation

SublimeLinter must be installed in order to use this plugin.

Please use Package Control to install the linter plugin.

Before installing this plugin, ensure that php is installed on your system. To install php, download and run the appropriate installer: Linux/OS X or Windows.

Please make sure that the path to php is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Settings